function List_drag_coefficients(output_name)
verticals_30=dlmread('verticals_30.txt');
verticals_0=dlmread('verticals_0.txt');
nodes=dlmread('nodes.txt');
elements=dlmread('elements.txt');





CD_1=2.04*1.15/1.05;
CM_rough=1.8;
CM_smooth=2.0;
CD_0=1.05*1.15/1.05;

WD=1.05;



% Verticals_90

CD=CD_0+(CD_1*WD-CD_0)*sin(9/7*(90-20)*pi/180)^2;
%CD=CD*1.15/1.05;


fid=fopen(output_name,'a');
for i=1:length(verticals_0(:,1))
    for j=verticals_0(i,1):verticals_0(i,2)
        z=0.5*(nodes(elements(j,2),4)+nodes(elements(j,3),4))-110;
        if z>2
            fprintf(fid,'Hyd_CdCm %f %f %i\n',CD,CM_smooth,j);
        elseif z<=2
            fprintf(fid,'Hyd_CdCm %f %f %i\n',CD,CM_rough,j);
            
        end
        
        
    end
end


% Verticals_60
CD=CD_0+(CD_1*WD-CD_0)*sin(9/7*(60-20)*pi/180)^2;
%CD=CD*1.15/1.05;
for i=1:length(verticals_30(:,1))
    for j=verticals_30(i,1):verticals_30(i,2)
        z=0.5*(nodes(elements(j,2),4)+nodes(elements(j,3),4))-110;
        if z>2
            
            fprintf(fid,'Hyd_CdCm %f %f %i\n',CD,CM_smooth,j);
        elseif z<=2
            fprintf(fid,'Hyd_CdCm %f %f %i\n',CD,CM_rough,j);
        end
    end
end
fclose(fid);
end