function S_vec=SCF_stress(Sx,Smy,Smz,SCF_AS,SCF_AC,SCF_MIP,SCF_MOP)

S1=SCF_AC*Sx+SCF_MIP*Smy;

S2=0.5*(SCF_AC+SCF_AS)*Sx+0.5*sqrt(2)*SCF_MIP*Smy-0.5*sqrt(2)*SCF_MOP*Smz;

S3=SCF_AS*Sx-SCF_MOP*Smz;

S4=0.5*(SCF_AC+SCF_AS)*Sx-0.5*sqrt(2)*SCF_MIP*Smy-0.5*sqrt(2)*SCF_MOP*Smz;

S5=SCF_AC*Sx-SCF_MIP*Smy;

S6=0.5*(SCF_AC+SCF_AS)*Sx-0.5*sqrt(2)*SCF_MIP*Smy+0.5*sqrt(2)*SCF_MOP*Smz;

S7=SCF_AS*Sx+SCF_MOP*Smz;

S8=0.5*(SCF_AC+SCF_AS)*Sx+0.5*sqrt(2)*SCF_MIP*Smy+0.5*sqrt(2)*SCF_MOP*Smz;

S_vec={S1,S2,S3,S4,S5,S6,S7,S8};
end